#######################################################################
# This file is part of the argtable2 library.
# Copyright (C) 1998,1999,2000,2001,2003 Stewart Heitmann
# sheitmann@users.sourceforge.net
#
# The argtable2 library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This software is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.
#######################################################################
@SET_MAKE@
SHELL       = /bin/sh
srcdir     = @srcdir@

.SUFFIXES:
.SUFFIXES: .c .o

CC       = @CC@
CFLAGS   += @CFLAGS@ @DEBUGFLAGS@ -I. @DEFS@ -Wall -ansi -fpic
CPPFLAGS += @CPPFLAGS@
LDFLAGS  += @LDFLAGS@
LIBS     = @LIBS@

# These targets are customized by the configure script according to operating system
TARGETS = libargtable2.a @LIBDYNAMIC@

# These objects are also customized by the configure script
OBJECTS = argtable2.o arg_end.o arg_rem.o arg_lit.o arg_int.o arg_dbl.o arg_str.o arg_file.o @GETOPTOBJS@

all: $(TARGETS)
    
#build the static library
libargtable2.a: $(OBJECTS)
	@AR@ -r libargtable2.a $(OBJECTS)
	@RANLIB@ libargtable2.a

#build the shared library (on most unixes except OS X)
libargtable2.so: ${OBJECTS}
	@LD@ -o $@ -shared $(OBJECTS)

#build the shared library (on OS X only)
libargtable2.dylib: ${OBJECTS}
	libtool -dynamic -o $@ -lsystem $(OBJECTS)

clean:
	rm -f core core.* *.o $(TARGETS) *~

distclean: clean
	rm -f Makefile config.h

check:


